const EventEmitter = require('events');
const { logError } = require('../../logger');

const Teleport = function(battleState) {
  this.handle = 'teleport';
  this.magic = true;
  this.help = true;
  this.movement = true;

  this.eventEmitter = new EventEmitter();

  this.isLegal = function(actor, victim) {
    // TODO(@rob-wfs): implement the fuckin ability bruh
    return false;
  };

  this.execute = function(actor, victim) {
    if (!actor || !actor.inPlay || !victim) {
      return { success: false };
    }

    try {
      var ability = BattleCalc.getEquippedAbility(actor, this.handle);

      var result = { success: false };
      result.abilityHandle = this.handle;
      result.actorId = actor.uid;
      result.victimId = victim.uid;
      result.allPieces = battleState.allPieces;
      this.eventEmitter.emit('result', result);
    } catch (err) {
      logError(err, {
        module: 'Teleport',
        func: 'execute',
        actor,
        victim,
      });

      return { success: false };
    }
  };
};
module.exports = Teleport;
