const getMobEquipmenAssignmentFromBags = (bags) => {
  return {
    helmet: bags[0].items.find(({ slot }) => slot === 'helmet')?.uid,
    torsoe: bags[0].items.find(({ slot }) => slot === 'torsoe')?.uid,
    weapon: bags[0].items.find(({ slot }) => slot === 'weapon')?.uid,
    off_hand: bags[0].items.find(({ slot }) => slot === 'off_hand')?.uid,
    boots: bags[0].items.find(({ slot }) => slot === 'boots')?.uid,
    left_ring: bags[0].items.find(({ slot, hand }) => slot === 'ring' && hand === 'left')?.uid,
    right_ring: bags[0].items.find(({ slot, hand }) => slot === 'ring' && hand === 'right')?.uid,
  };
};
module.exports = getMobEquipmenAssignmentFromBags;
