'use strict'

const { getMongoDBClient } = require('../index')

const saveCavernsData = async (playerId, cavernsData) => {
  const { db } = await getMongoDBClient()
  await db.collection('script.cavernsData').updateOne(
    {
      _id: playerId
    },
    { $set: { cavernsData } },
    {
      upsert: true
    }
  )

  return true
}
module.exports = saveCavernsData
